<?php
include('config.php');
session_start();
if($_SERVER["REQUEST_METHOD"] == "POST")
{   
    $my_campus = $_SESSION['campus'];
    $title = $_POST["title"];
    $instructions = $_POST["instructions"];
    $due_date = $_POST['due_date'];
    $converted_due_date = date("m-d-Y", strtotime($due_date));
    $due_time = $_POST["due_time"];
    $converted_due_time = date("h:i A", strtotime($due_time));
    $fileCount = count($_FILES['file']['name']);

    if($converted_due_date == "01-01-1970" || $converted_due_date == "" || $converted_due_time == "12:00 AM" || $converted_due_time == ""){
        $converted_due_date = "None";
        $converted_due_time = "None";
    }
    if($instructions == ""){
        $instructions = "None";
    }

    // Get the current time adn date
    date_default_timezone_set('Asia/Manila');
    $date = date("m-d-Y");
    $time = date("h:i A");
    
    for($i=0;$i<$fileCount;$i++){
        $fileName = $_FILES['file']['name'][$i];
        if($fileName == ""){
            $fileName = "None";
        }
        $sql = "INSERT INTO requirements (`Title`, `Instructions`, `Due_Date`, `Due_Time`, `Attached_File`, `Date_Posted`, `Time_Posted`, `Campus`) VALUES ('$title', '$instructions', '$converted_due_date', '$converted_due_time', '$fileName', '$date', '$time', '$my_campus')";
        if (mysqli_query($db, $sql)){
            echo '<script>alert("Assigned successfully!");</script>';
            echo '<script>document.location = "assignments.php"</script>';
        }else{
            echo mysqli_error($db);
        }
        move_uploaded_file($_FILES['file']['tmp_name'][$i], 'attached_files/'.$fileName);
    }
    
}
?>